Package ietf.params.xml.ns.icalendar_2

# Class BasePropertyType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType

Direct Known Subclasses:
  `AttachPropType`, `CalAddressPropertyType`, `CalscalePropType`, `DateDatetimePropertyType`, `DatetimePropertyType`, `DurationPropType`, `FreebusyPropType`, `GeoPropType`, `IntegerPropertyType`, `LinkPropType`, `RecurPropertyType`, `RelatedToPropType`, `RequestStatusPropType`, `TextListPropertyType`, `TextPropertyType`, `TolerancePropType`, `TriggerPropType`, `UriPropertyType`, `UtcDatetimePropertyType`, `UtcOffsetPropertyType`, `WsCalendarAttachType`

public abstract class BasePropertyType extends Object

Java class for BasePropertyType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BasePropertyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}parameters" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArrayOfParameters`
  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasePropertyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayOfParameters`
  `getParameters()`
  Gets the value of the parameters property.
  `void`
  `setParameters(ArrayOfParameters value)`
  Sets the value of the parameters property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameters

    protected ArrayOfParameters parameters

- ## Constructor Details

  - ### BasePropertyType

    public BasePropertyType()

- ## Method Details

  - ### getParameters

    public ArrayOfParameters getParameters()
    Gets the value of the parameters property.
    Returns:
      possible object is `ArrayOfParameters`

  - ### setParameters

    public void setParameters(ArrayOfParameters value)
    Sets the value of the parameters property.
    Parameters:
      `value` - allowed object is `ArrayOfParameters`